server {
    listen 3000;
    root /usr/share/nginx/html;

    location ~* \.(?:jpg|jpeg|gif|png|ico|cur|gz|svg|svgz|mp4|mp3|ogg|ogv|webm|htc|woff2|woff)$ {
        expires 1M;
        access_log off;
        # max-age must be in seconds
        add_header Cache-Control "max-age=2629746, public";
    }

    location ~* \.(?:css|js)$ {
        expires 1M;
        access_log off;
        add_header Cache-Control "max-age=2629746, public";
    }

    location / {
        # kill cache
        add_header Last-Modified $date_gmt;
        add_header Cache-Control 'no-store, no-cache';
        if_modified_since off;
        expires off;
        etag off;

        index index.html index.htm;
        try_files $uri $uri/ /index.html =404;
    }
}